import { csvParse, select, timeParse } from 'd3';
import { scatterPlot } from './line-chart.js';
export const viz = (container, { state, setState }) => {
  const { data } = state;
  if (data === undefined) {
    setState((state) => ({
      ...state,
      data: 'LOADING',
    }));
    fetch('data.csv')
      .then((response) => response.text())
      .then((csvString) => {
        const data = csvParse(csvString);

        console.log(timeParse);
        const parseDate = timeParse('%Y-%m');
        for (const d of data) {
          d.average = +d.average;
          d.deseasonalized = +d.deseasonalized;
          d.date = parseDate(`${d.year}-${d.month}`);
        }

        setState((state) => ({
          ...state,
          data,
        }));
      });
  }

  if (data !== undefined && data !== 'LOADING') {
    scatterPlot(container, { data, setState, state });
  }
};
